package com.ruoyi.mall.domain.Bo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Arrays;

/**
 * 学校对象 mall_school
 *
 * @author lsm
 * @date 2023-10-18
 */

public class MallSchoolExcelBo
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "批次")
    private String batchName;

    @Excel(name = "院校代码")
    private String schoolNumber;

    @Excel(name = "院校名称")
    private String schoolName;

    @Excel(name = "专业")
    private String majorName;

    @Excel(name = "一级专业分类")
    private String majorName1;

    @Excel(name = "二级专业分类")
    private String majorName2;

    @Excel(name = "招生计划人数")
    private String acceptNum;

    @Excel(name = "录取原则")
    private String ruleStr;

    @Excel(name = "参考分")
    private String reference;

    @Excel(name = "录取最低分")
    private String acceptLowest;

    @Excel(name = "录取前提")
    private String acceptPremise;

    @Excel(name = "年份")
    private String acceptYear;

    @Excel(name = "文化分数线")
    private String cultureLowest;

    @Excel(name = "联考分数线")
    private String majorLowest;

    @Excel(name = "学科",readConverterExp = "0=文科,1=理科")
    private String subjectType;

    @Excel(name = "学费")
    private String schoolPrice;

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getSchoolNumber() {
        return schoolNumber;
    }

    public void setSchoolNumber(String schoolNumber) {
        this.schoolNumber = schoolNumber;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getMajorName1() {
        return majorName1;
    }

    public void setMajorName1(String majorName1) {
        this.majorName1 = majorName1;
    }

    public String getMajorName2() {
        return majorName2;
    }

    public void setMajorName2(String majorName2) {
        this.majorName2 = majorName2;
    }

    public String getAcceptNum() {
        return acceptNum;
    }

    public void setAcceptNum(String acceptNum) {
        this.acceptNum = acceptNum;
    }

    public String getRuleStr() {
        return ruleStr;
    }

    public void setRuleStr(String ruleStr) {
        this.ruleStr = ruleStr;
    }

    public String getReference() {
        return reference;
    }

    public void setReference(String reference) {
        this.reference = reference;
    }

    public String getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(String acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public String getAcceptPremise() {
        return acceptPremise;
    }

    public void setAcceptPremise(String acceptPremise) {
        this.acceptPremise = acceptPremise;
    }

    public String getAcceptYear() {
        return acceptYear;
    }

    public void setAcceptYear(String acceptYear) {
        this.acceptYear = acceptYear;
    }

    public String getCultureLowest() {
        return cultureLowest;
    }

    public void setCultureLowest(String cultureLowest) {
        this.cultureLowest = cultureLowest;
    }

    public String getMajorLowest() {
        return majorLowest;
    }

    public void setMajorLowest(String majorLowest) {
        this.majorLowest = majorLowest;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public String getSchoolPrice() {
        return schoolPrice;
    }

    public void setSchoolPrice(String schoolPrice) {
        this.schoolPrice = schoolPrice;
    }

    @Override
    public String toString() {
        return "MallSchoolExcelBo{" +
                "batchName='" + batchName + '\'' +
                ", schoolNumber='" + schoolNumber + '\'' +
                ", schoolName='" + schoolName + '\'' +
                ", majorName='" + majorName + '\'' +
                ", majorName1='" + majorName1 + '\'' +
                ", majorName2='" + majorName2 + '\'' +
                ", acceptNum='" + acceptNum + '\'' +
                ", ruleStr='" + ruleStr + '\'' +
                ", reference='" + reference + '\'' +
                ", acceptLowest='" + acceptLowest + '\'' +
                ", acceptPremise='" + acceptPremise + '\'' +
                ", acceptYear='" + acceptYear + '\'' +
                ", cultureLowest='" + cultureLowest + '\'' +
                ", majorLowest='" + majorLowest + '\'' +
                ", subjectType='" + subjectType + '\'' +
                ", schoolPrice='" + schoolPrice + '\'' +
                '}';
    }
}

